#!/bin/sh

# Base
command -v nvim &>/dev/null || sudo dnf install -y neovim
command -v gcc &>/dev/null || sudo dnf install -y gcc
command -v rg &>/dev/null || sudo dnf install -y ripgrep

# Config
command -v spectral &>/dev/null || volta install @stoplight/spectral-cli

# Go
command -v delv &>/dev/null || sudo dnf install delve -y
command -v gomodifytags &>/dev/null || go install github.com/fatih/gomodifytags@latest
command -v impl &>/dev/null || go install github.com/josharian/impl@latest
command -v golangci-lint &>/dev/null || go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
command -v staticcheck &>/dev/null || go install honnef.co/go/tools/cmd/staticcheck@latest
command -v gofumpt &>/dev/null || go install mvdan.cc/gofumpt@latest

# Lua
command -v selene &>/dev/null || cargo install selene
command -v selene &>/dev/null || cargo install styua

# Php
command -v phpcs &>/dev/null || composer global require "squizlabs/php_codesniffer=*" -n
command -v phpstan &>/dev/null || composer global require "phpstan/phpstan=*" -n
command -v php-cs-fixer &>/dev/null || composer global require "friendsofphp/php-cs-fixer=*" -n
command -v twigcs &>/dev/null || composer global require "friendsoftwig/twigcs=*" -n

# Rust
command -v cargo-clippy &>/dev/null || rustup component add clippy
command -v rust-analyzer &>/dev/null || rustup component add rust-analyzer

# Scripts
command -v actionlint &>/dev/null || go install github.com/rhysd/actionlint/cmd/actionlint@latest
command -v checkmake &>/dev/null || go install github.com/mrtazz/checkmake/cmd/checkmake@latest
command -v dotenv-linter &>/dev/null || cargo install dotenv-linter
command -v shfmt &>/dev/null || go install mvdan.cc/sh/v3/cmd/shfmt@latest
command -v shellharden &>/dev/null || cargo install shellharden

# text
command -v proselint &>/dev/null || sudo dnf install proselint -y
command -v alex &>/dev/null || volta install alex
command -v markdownlint &>/dev/null || volta install markdownlint-cli
command -v stylelint &>/dev/null || volta install stylelint
command -v prettierd &>/dev/null || volta install @fsouza/prettierd

# Angular
command -v ng &>/dev/null ||    volta install @angular/cli
command -v ngserver &>/dev/null || {
    volta install @angular/language-server
    volta install @angular/language-service
    volta install typescript
}
