return {
    {
        'nvim-lualine/lualine.nvim',
        dependencies = {
            'nvim-tree/nvim-web-devicons',
            'nvimdev/lspsaga.nvim',
            'linrongbin16/lsp-progress.nvim',
        },
        after = 'rcarriga/nvim-dap-ui',
        config = function()
            -- Setup --
            require('lsp-progress').setup()
            local lspsaga_breadcrumbs = require('lspsaga.symbol.winbar').get_bar

            require('lualine').setup({
                options = {
                    component_separators = { left = '', right = '' },
                    section_separators = { left = '', right = '' },
                    disabled_filetypes = {
                        'neo-tree',
                        'fugitive',
                        'help',
                        statusline = {
                            'dap-repl',
                            'dapui_console',
                            'dapui_console',
                            'dapui_watches',
                            'dapui_stacks',
                            'dapui_breakpoints',
                            'dapui_scopes',
                        },
                    },
                    ignore_focus = {},
                    always_divide_middle = true,
                    globalstatus = false,
                    refresh = {
                        statusline = 1000,
                        tabline = 1000,
                        winbar = 1000,
                    },
                },
                sections = {
                    lualine_a = { 'mode' },
                    lualine_b = {
                        function()
                            return require('lsp-progress').progress()
                        end,
                    },
                    lualine_c = { 'diagnostics' },
                    lualine_d = { lspsaga_breadcrumbs },
                    lualine_x = { 'location' },
                    lualine_y = { 'diff', 'branch' },
                    lualine_z = { 'filetype' },
                },
                inactive_sections = {
                    lualine_a = { 'mode' },
                    lualine_b = { 'diagnostics' },
                    lualine_c = {},
                    lualine_x = { 'location' },
                    lualine_y = { 'diff', 'branch' },
                    lualine_z = { 'filetype' },
                },
                tabline = {},
                winbar = {
                    lualine_a = { 'filename' },
                },
                inactive_winbar = {
                    lualine_a = { 'filename' },
                },
                extensions = {
                    require('temp.status_bar_plugin'),
                },
            })
        end,
    },
    {
        'romgrk/barbar.nvim',
        dependencies = {
            'lewis6991/gitsigns.nvim',
            'nvim-tree/nvim-web-devicons',
        },
        config = function()
            require('barbar').setup()
        end,
    },
}
