local T = require('toolchain')
local M = {}

function M.setup()
    T.add_highlighter_autoinstalls('bash', 'dockerfile', 'make', 'just')

    T.add_null_ls_module(function(null_ls)
        return {
            -- Diagnostics
            null_ls.builtins.diagnostics.actionlint,
            null_ls.builtins.diagnostics.checkmake,
            null_ls.builtins.diagnostics.dotenv_linter,
            -- Formatter
            null_ls.builtins.formatting.shfmt,
            null_ls.builtins.formatting.shellharden,
        }
    end)

    T.add_lsp_autoinstalls('bashls')
    T.add_lsps(function(lspconfig, capabilities)
        local config = { capabilities = capabilities }
        lspconfig.bashls.setup(config)
    end)
end

return M
