local T = require('toolchain')
local M = {}

function M.setup()
    T.add_highlighter_autoinstalls('markdown')

    T.add_null_ls_module(function(null_ls)
        local markdownlint_options = {
            extra_args = {
                '--disable',
                'MD022', -- Empty Line after Heading
                '--disable',
                'MD024', -- Duplicate Headings
                '--disable',
                'MD032', -- List Should be surounded by Empty Lines
            },
        }
        return {
            -- Actions
            null_ls.builtins.code_actions.proselint,
            -- Diagnostics
            --null_ls.builtins.diagnostics.alex,
            null_ls.builtins.diagnostics.trail_space,
            -- Formatter
            null_ls.builtins.diagnostics.markdownlint.with(
                markdownlint_options
            ),
            null_ls.builtins.formatting.markdownlint.with(markdownlint_options),
        }
    end)

    T.add_lsp_autoinstalls('marksman')

    T.add_lsps(function(lspconfig, capabilities)
        local config = { capabilities = capabilities }
        lspconfig.marksman.setup(config)
    end)
end

return M
